gnome-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Base class for rectangle and ellipse items

This forms a base class for rectangle and ellipse canvas items.

Gnome.CanvasShape GLib.IWrapper System.IDisposable
- Method
  System.Void Disposes the resources associated with the object.
- Constructor
  Internal constructor
  Pointer to the C object.
  An instance of CanvasRE, wrapping the C object.

  This is an internal constructor, and should not be used by user code.

- Property
  System.Double Rightmost coordinate of rectangle or ellipse. Rightmost coordinate of rectangle or ellipse. Rightmost coordinate of rectangle or ellipse.
- Property
  System.Double Leftmost coordinate of rectangle or ellipse. Leftmost coordinate of rectangle or ellipse. Leftmost coordinate of rectangle or ellipse.
- Property
  System.Double Bottommost coordinate of rectangle or ellipse. Bottommost coordinate of rectangle or ellipse. Bottommost coordinate of rectangle or ellipse.
- Property
  System.Double Topmost coordinate of rectangle or ellipse. Topmost coordinate of rectangle or ellipse. Topmost coordinate of rectangle or ellipse.
- Property
  GLib.GType GType Property. a Returns the native value for .
- Constructor
  Protected Constructor.
  a
  a
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  To be added
  a
  a
  a
  To be added
- Constructor
  To be added
  a
  To be added